<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.security</groupId>
    <artifactId>jaas</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.security.jaas</groupId>
  <artifactId>entaxy-legacy-auth-api</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: SECURITY :: JAAS :: LEGACY :: API</name>
  <description>ENTAXY :: SECURITY :: JAAS :: LEGACY :: API</description>
  
  <properties>
        <bundle.osgi.export.pkg>
			ru.entaxy.esb.system.auth.basic.jpa.api,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity.field,
            ru.entaxy.esb.system.auth.basic.jpa.api.exception
		</bundle.osgi.export.pkg>	  
        <bundle.osgi.import.pkg>
            javax.persistence;version="[2,3)",
            org.hibernate.proxy;version="[5,6)",
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>		
  </properties>
  
  <dependencies>
       <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>base-support</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <!-- dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency -->
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel.karaf</groupId>
            <artifactId>camel-cxf-blueprint</artifactId>
            <version>${camel.version}</version>
        </dependency>        
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
	  
  </dependencies>
  
</project>
